// DirectSound.h: CDirectSound NX̃C^[tFCX
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_DIRECTSOUND_H__077C6481_935D_11D2_B314_DE15839C9229__INCLUDED_)
#define AFX_DIRECTSOUND_H__077C6481_935D_11D2_B314_DE15839C9229__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "DirectSoundBuffer.h"

class CDirectSound  
{
public:
	CDirectSound();
	virtual ~CDirectSound();

	bool Initialize(HWND hwnd);
	void ReleaseAll();

	// obt@Ԃ֐Rc
	bool CreateSoundBuffer( CDirectSoundBuffer* pB , LPCTSTR wavFile );

private:
	IDirectSound* m_pDirectSound;
	bool m_bInit;
};

#pragma pack(1)
struct WaveHeader
{
    BYTE        RIFF[4];          // "RIFF"
    DWORD       dwSize;           // Size of data to follow
    BYTE        WAVE[4];          // "WAVE"
    BYTE        fmt_[4];          // "fmt "
    DWORD       dw16;             // 16
    WORD        wOne_0;           // 1
    WORD        wChnls;           // Number of Channels
    DWORD       dwSRate;          // Sample Rate
    DWORD       BytesPerSec;      // Sample Rate
    WORD        wBlkAlign;        // 1
    WORD        BitsPerSample;    // Sample size
    BYTE        DATA[4];          // "DATA"
    DWORD       dwDSize;          // Number of Samples
};
#pragma pack()

#endif // !defined(AFX_DIRECTSOUND_H__077C6481_935D_11D2_B314_DE15839C9229__INCLUDED_)
